ALT Linux Team development discussions
 help / color / mirror / Atom feed
From: Michael Shigorin <mike@osdn.org.ua>
To: ALT Devel discussion list <devel@altlinux.ru>
Subject: [devel] Re: HIMEM up
Date: Thu, 14 Aug 2003 11:20:03 +0300
Message-ID: <20030814082003.GF17616@osdn.org.ua> (raw)
In-Reply-To: <3F3B1800.1040603@altlinux.com>


[-- Attachment #1.1: Type: text/plain, Size: 380 bytes --]

On Thu, Aug 14, 2003 at 09:02:56AM +0400, Anton Farygin wrote:
> Далее - по отзывам LDV, на многие уже собранные пакеты не
> проходит sisyphus_check.

Я извиняюсь... вот моя кривулина-заливалка, у которой есть как
минимум два достоинства -- она дергает sisyphus_check и ведет
логи.

-- 
 ---- WBR, Michael Shigorin <mike@altlinux.ru>
  ------ Linux.Kiev http://www.linux.kiev.ua/

[-- Attachment #1.2: 2bte.sh --]
[-- Type: text/plain, Size: 701 bytes --]

#!/bin/sh
UPROOT=~/Upload
TARGET=incoming:/incoming/Sisyphus/BTE/
MAINTAINER=mike@inmetex.com.ua
SUBJ1="upload failed"
SUBJ2="gpg sig failed"
#. ~/.ssh/ssh-agent.sh 2>/dev/null 1>&2
#ssh-add

LC_ALL=C sisyphus_check "$UPROOT/BTE/" || exit 1

[ -z "$UPROOT/BTE/*.rpm" ] && exit 0
for i in $UPROOT/BTE/*.rpm; do
	rpm --checksig $i | grep -q gpg || {
#		echo "$i: GPG signature missing/invalid" | mail -s "$SUBJ2" $MAINTAINER
		echo "$i: GPG signature missing/invalid, skipping!" >&2
		continue
	}
	/usr/bin/rsync $* -avut --partial --stats \
		-e ssh $i $TARGET \
		>> $UPROOT/rsync-upload.log 2>&1 \
	&& mv $i $UPROOT/done \
	|| echo "upload failed: $i" | mail -s "$SUBJ1" $MAINTAINER
done
#ssh-add -D

[-- Attachment #2: Type: application/pgp-signature, Size: 189 bytes --]

  parent reply	other threads:[~2003-08-14  8:20 UTC|newest]

Thread overview: 24+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2003-08-13 13:42 [devel] " Andy Gorev
2003-08-13 14:15 ` [devel] " Michael Shigorin
2003-08-13 15:46   ` Anton Farygin
2003-08-13 16:10     ` Kachalov Anton
2003-08-13 16:25     ` Albert R. Valiev
2003-08-14  5:02       ` Anton Farygin
2003-08-14  6:08         ` Albert R. Valiev
2003-08-14  7:32           ` Anton Farygin
2003-08-14  8:08         ` Ed V. Bartosh
2003-08-14 11:12           ` Anton Farygin
2003-08-14 10:38             ` Ed V. Bartosh
2003-08-14 12:11               ` Anton Farygin
2003-08-14 13:59                 ` Ed V. Bartosh
2003-08-14 15:10                   ` Anton Farygin
2003-08-14 15:47                     ` Dmitry V. Levin
2003-08-14  8:20         ` Michael Shigorin [this message]
2003-08-14  8:17     ` [d-kernel] " Michael Shigorin
2003-08-14 11:06   ` [devel] Re: [d-kernel] " Ed V. Bartosh
2003-08-14 13:37     ` Michael Shigorin
2003-08-14 13:51       ` Anton Farygin
2003-08-14 13:58         ` Anton Farygin
2003-08-14 14:30         ` Michael Shigorin
2003-08-14 15:37         ` Vadim V. Zhytnikov
2003-08-14 14:08       ` Ed V. Bartosh

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20030814082003.GF17616@osdn.org.ua \
    --to=mike@osdn.org.ua \
    --cc=devel@altlinux.ru \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link

ALT Linux Team development discussions

This inbox may be cloned and mirrored by anyone:

	git clone --mirror http://lore.altlinux.org/devel/0 devel/git/0.git

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V2 devel devel/ http://lore.altlinux.org/devel \
		devel@altlinux.org devel@altlinux.ru devel@lists.altlinux.org devel@lists.altlinux.ru devel@linux.iplabs.ru mandrake-russian@linuxteam.iplabs.ru sisyphus@linuxteam.iplabs.ru
	public-inbox-index devel

Example config snippet for mirrors.
Newsgroup available over NNTP:
	nntp://lore.altlinux.org/org.altlinux.lists.devel


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git